Home / Lua API Manual / darktable / darktable.gui / darktable.gui.libs / darktable.gui.libs.lighttable_mode
< darktable.gui.libs.import
darktable.gui.libs.live_view >

# darktable.gui.libs.lighttable_mode

The navigation and zoom level UI in lighttable

Attributes:

- has_tostring
- parent : types.dt_lua_lib_t

## 🔗darktable.gui.libs.lighttable_mode.layout

    function(
      [layout : types.dt_lighttable_layout_t]
    ) : types.dt_lighttable_layout_t

Change the lighttable layout.

- [layout] - types.dt_lighttable_layout_t - The layout to switch to. If empty the current layout is unchanged
- return - types.dt_lighttable_layout_t - the current layout

## 🔗darktable.gui.libs.lighttable_mode.zoom_level

    function(
      [level : int]
    ) : int

Change the lighttable zoom level.

- [level] - int - The zoom level to switch to. If empty the current zoom level is unchanged
- return - int - the current zoom level

< darktable.gui.libs.import
darktable.gui.libs.live_view >